<p align="center">
  <img width="500" alt="giskardlogo" src="readme/Logo_full_darkgreen.png">
</p>
<h1 align="center" weight='300' >Open-Source CI/CD platform for ML teams</h1>
<h3 align="center" weight='300' >Deliver ML products, better & faster</h3>
<p align="center">
   <a href="https://github.com/Giskard-AI/giskard/releases">
      <img alt="GitHub release" src="https://img.shields.io/github/v/release/Giskard-AI/giskard">
  </a>
 <a href="https://github.com/Giskard-AI/giskard/blob/main/LICENSE">
     <img alt="GitHub" src="https://img.shields.io/badge/License-Apache_2.0-blue.svg">
 </a>
  <a href="https://github.com/Giskard-AI/giskard/actions/workflows/build.yml">
    <img alt="build" src="https://github.com/Giskard-AI/giskard/actions/workflows/build.yml/badge.svg?branch=main"/>
 </a>
  <a href="https://gisk.ar/discord">
    <img alt="Giskard on Discord" src="https://img.shields.io/discord/939190303397666868?label=Discord"/>
  </a>
</p>
<br />

⚡ **Collaborate faster** with **feedback** from business stakeholders.<br/>
🧑‍🔧 **Deploy automated tests** to eliminate regressions, errors & biases.

<br />

<a align='center' href="https://app.arcade.software/share/zPfpXFt8lRm5XDkaWM85">
         <img width='600' align='center' alt="Interactive demo" src="readme/demo.png">
      </a>
<br/>


<h3>Upload your model</h3>

  <a align='center' href="https://app.arcade.software/share/zPfpXFt8lRm5XDkaWM85">
         <img width='500' alt="Interactive demo" src="readme/upload.png">
      </a>
<br/>
  <br/>
  <br/>
  
  Easy upload for any Python model: PyTorch, TensorFlow, Transformers, Scikit-learn, etc. </br>
[👉 Documentation](https://docs.giskard.ai/start/guides/upload-your-model)

<h3>Collect feedback on your model</h3>
  
  <a align='center' href="https://app.arcade.software/share/zPfpXFt8lRm5XDkaWM85">
         <img width='600' alt="Interactive demo" src="readme/feedback.png">
      </a>
<br/>
  <br/>
  <br/>
  
  Improve ML models with business stakeholders in no time. </br>
[👉 Documentation](https://docs.giskard.ai/start/guides/review-your-model)
  
 <h3>Get automated test suites in seconds</h3>
  
  <a href="https://app.arcade.software/share/zPfpXFt8lRm5XDkaWM85">
         <img width='600' alt="Interactive demo" src="readme/test.png">
      </a>
<br/>
   <br/>
   <br/>
  

  Exhaustive test suites, backed by  State-of-the-Art ML research.</br>
  [👉 Documentation](https://docs.giskard.ai/start/guides/create-tests-from-your-review)
  
   <h3>Deploy tests in your CI/CD Pipeline</h3>
  
  <a href="https://app.arcade.software/share/zPfpXFt8lRm5XDkaWM85">
         <img width='600' alt="Deploy tests in CI/CD Pipeline" src="readme/pipeline.png">
      </a>
<br/>
   <br/>
   <br/>
  

  Protect your ML models against the risk of regressions, drift and bias.</br>
  [👉 Documentation](https://docs.giskard.ai/start/)

<h3>Get Started</h3>

Get started with Giskard by reading [our documentation](https://docs.giskard.ai/)

<h3 >Installation</h3>

**Requirements:** `docker` and `docker-compose`

```shell
git clone https://github.com/Giskard-AI/giskard.git
cd giskard
docker-compose up -d
```

After the application is started you can access at:

http://localhost:19000

> login / password: **admin** / **admin**

<h3>Community</h3>

Join [our community](https://discord.com/invite/ABvfpbu69R) on Discord to get support and leave feedback <br/>
<a href="https://discord.com/invite/ABvfpbu69R">
         <img alt="Discord" src="readme/Discord.png">
      </a>
<br/>
